C--------------------------------------------------------------------
C  Copyright (C) 2002,  Space Science and Engineering Center, 
C  University C  of Wisconsin-Madison, Madison WI.
C      
C  This program is free software; you can redistribute it 
C  and/or modify it under the terms of the GNU General 
C  Public License as published by the Free Software Foundation; 
C  either version 2 of the License, or (at your option) any 
C  later version.
C
C  This program is distributed in the hope that it will be 
C  useful, but WITHOUT ANY WARRANTY; without even the implied 
C  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
C  See the  GNU General Public License for more details.
C
C  You should have received a copy of the GNU General Public 
C  License along with this program; if not, write to the Free 
C  Software Foundation, Inc., 59 Temple Place, Suite 330, 
C  Boston, MA  02111-1307 USA
C--------------------------------------------------------------------
C
C
      subroutine db_init_scan_var_mod06ct( qual_flag, conf_flag,
     *  ci_flag, hc_flag)
      
c-----------------------------------------------------------------------
c
c!F77
c
c!Description:
c    Initialize ouptput product arrays for the CO2 Slicing part of the
c     MODIS Cloud Top Properties product (MOD06) for Direct Broadcast.
c
c!Input Parameters:
c
c    QA flags:
c    qual_flag                   quality of product
c    conf_flag                   confidence in product
c    ci_flag                     cirrus cloud found
c    hc_flag                     high cloud
c
c!Output Parameters:
c
c    QA flags:
c    qual_flag                   quality of product
c    conf_flag                   confidence in product
c    ci_flag                     cirrus cloud found
c    hc_flag                     high cloud
c
c!Revision History:
c
c!Team-unique Header:
c
c!End
c
c-----------------------------------------------------------------------

      implicit none
      save
          
c ... arguments

      integer qual_flag,conf_flag,hc_flag,ci_flag


c     Initialize flags
      qual_flag = 0
      conf_flag = 0
      hc_flag = 0
      ci_flag = 0

      return
      end
